package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccessConfig;

import java.util.List;

/**
 * <p>
 * 接入配置 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-02
 */
public interface ITabAccessConfigService extends IService<TabAccessConfig> {

    List<TabAccessConfig> getTabAccessConfigList(TabAccessConfig tabAccessConfig);

    AjaxResult getTabAccessConfigById(String id);

    AjaxResult insertTabAccessConfig(TabAccessConfig tabAccessConfig);

    AjaxResult updateTabAccessConfigById(TabAccessConfig tabAccessConfig);

    AjaxResult falseDeleteTabAccessConfigById(Long id);

}
